{
  arptables-nft = {
    version = "1.8.10-r3";
    filename = "arptables-nft-1.8.10-r3.apk";
    depends = [
      "kmod-arptables"
      "kmod-nft-arp"
      "libc"
      "xtables-nft"
    ];
    provides = [
      "arptables"
      "arptables-nft-any"
    ];
    sha256 = "77d9c3cfaee9642caeeed2c24a5b9bacf531412f542c3e5574088175fe13088b";
  };
  atm-aread = {
    version = "2.5.2-r8";
    filename = "atm-aread-2.5.2-r8.apk";
    depends = [
      "libc"
      "linux-atm"
    ];
    provides = [ "atm-aread-any" ];
    sha256 = "74e186d941403f8f8010002f2b9f6a17af0a45d8243547a8a8479ffb6f9132d7";
  };
  atm-atmaddr = {
    version = "2.5.2-r8";
    filename = "atm-atmaddr-2.5.2-r8.apk";
    depends = [
      "libc"
      "linux-atm"
    ];
    provides = [ "atm-atmaddr-any" ];
    sha256 = "54ea3ee74d0c900215cdd4d255764c801e82167b11958a6214b7c644e12e2bff";
  };
  atm-atmdiag = {
    version = "2.5.2-r8";
    filename = "atm-atmdiag-2.5.2-r8.apk";
    depends = [
      "libc"
      "linux-atm"
    ];
    provides = [ "atm-atmdiag-any" ];
    sha256 = "cd7048d4f41da860bdc711a17cdb07c130926e415d5ed56ffbb587db9817364a";
  };
  atm-atmdump = {
    version = "2.5.2-r8";
    filename = "atm-atmdump-2.5.2-r8.apk";
    depends = [
      "libc"
      "linux-atm"
    ];
    provides = [ "atm-atmdump-any" ];
    sha256 = "ae57b155a90fc395d8e7147bfc04745886df82fe2afb198a059f87a9c2756390";
  };
  atm-atmloop = {
    version = "2.5.2-r8";
    filename = "atm-atmloop-2.5.2-r8.apk";
    depends = [
      "libc"
      "linux-atm"
    ];
    provides = [ "atm-atmloop-any" ];
    sha256 = "9ee50fefe2ce356c7e1edd0b731fa7c1d07c55d9f2154f3cc63950158db02dca";
  };
  atm-atmsigd = {
    version = "2.5.2-r8";
    filename = "atm-atmsigd-2.5.2-r8.apk";
    depends = [
      "libc"
      "linux-atm"
    ];
    provides = [ "atm-atmsigd-any" ];
    sha256 = "c672de132cbca0648b2d9e4fc521328145038549682b9ba4577dba85fda4d381";
  };
  atm-atmswitch = {
    version = "2.5.2-r8";
    filename = "atm-atmswitch-2.5.2-r8.apk";
    depends = [
      "libc"
      "linux-atm"
    ];
    provides = [ "atm-atmswitch-any" ];
    sha256 = "1ceafb3233ccc8926d90d96897219a8d6e6acbef2341003f7df86fdd82c12e21";
  };
  atm-atmtcp = {
    version = "2.5.2-r8";
    filename = "atm-atmtcp-2.5.2-r8.apk";
    depends = [
      "libc"
      "linux-atm"
    ];
    provides = [ "atm-atmtcp-any" ];
    sha256 = "563175ca52f98c8dc3dee946062aa3cb877405bb38a3a611b9b10808f6cd13fb";
  };
  atm-awrite = {
    version = "2.5.2-r8";
    filename = "atm-awrite-2.5.2-r8.apk";
    depends = [
      "libc"
      "linux-atm"
    ];
    provides = [ "atm-awrite-any" ];
    sha256 = "29878a6d291eab9eb3e09572affe417870a3d500bcc7599999c07c9816ef745a";
  };
  atm-bus = {
    version = "2.5.2-r8";
    filename = "atm-bus-2.5.2-r8.apk";
    depends = [
      "libc"
      "linux-atm"
    ];
    provides = [ "atm-bus-any" ];
    sha256 = "1e51b7a1856a4403bd8d9996262c5e77faa2efb217e88bd671c74b05dcecd2ca";
  };
  atm-debug-tools = {
    version = "2.5.2-r8";
    filename = "atm-debug-tools-2.5.2-r8.apk";
    depends = [
      "libc"
      "linux-atm"
    ];
    provides = [ "atm-debug-tools-any" ];
    sha256 = "b2cc3588828187cebabc3897fc375e3c66b4313a86992ce9d8fdd454df6fef1f";
  };
  atm-diagnostics = {
    version = "2.5.2-r8";
    filename = "atm-diagnostics-2.5.2-r8.apk";
    depends = [
      "libc"
      "linux-atm"
    ];
    provides = [ "atm-diagnostics-any" ];
    sha256 = "d1f2c6b4783d94fdde04b1636c6c6fe17912f19fb830fe4a6270e4c61d39689b";
  };
  atm-esi = {
    version = "2.5.2-r8";
    filename = "atm-esi-2.5.2-r8.apk";
    depends = [
      "libc"
      "linux-atm"
    ];
    provides = [ "atm-esi-any" ];
    sha256 = "400a478ed68df01461607b33defe16c78dca80df1c6c24cda6b2c3339301f0a1";
  };
  atm-ilmid = {
    version = "2.5.2-r8";
    filename = "atm-ilmid-2.5.2-r8.apk";
    depends = [
      "libc"
      "linux-atm"
    ];
    provides = [ "atm-ilmid-any" ];
    sha256 = "ca600b6ebe6e56fb5f35d57a3ac4b8e93bcded68ad4dda309d167bf8245bb204";
  };
  atm-ilmidiag = {
    version = "2.5.2-r8";
    filename = "atm-ilmidiag-2.5.2-r8.apk";
    depends = [
      "libc"
      "linux-atm"
    ];
    provides = [ "atm-ilmidiag-any" ];
    sha256 = "d106a96554040167ad2c733a8be93fbc9b460c62f0eb97094f45f7b78e574cd2";
  };
  atm-lecs = {
    version = "2.5.2-r8";
    filename = "atm-lecs-2.5.2-r8.apk";
    depends = [
      "libc"
      "linux-atm"
    ];
    provides = [ "atm-lecs-any" ];
    sha256 = "f33d384fdedfc3838304919c5521f5ced93a51fdc5ba8ddcf753ac64be645bfd";
  };
  atm-les = {
    version = "2.5.2-r8";
    filename = "atm-les-2.5.2-r8.apk";
    depends = [
      "libc"
      "linux-atm"
    ];
    provides = [ "atm-les-any" ];
    sha256 = "6921a97d95d4663e41a2d08fac8a7435698eca736845200e8e21ba9fdf973f55";
  };
  atm-mpcd = {
    version = "2.5.2-r8";
    filename = "atm-mpcd-2.5.2-r8.apk";
    depends = [
      "libc"
      "linux-atm"
    ];
    provides = [ "atm-mpcd-any" ];
    sha256 = "81bc12d3971968a13a0d2852e4ce1d6c8b13f8fa27f8edf1d1278dbbe5a7e5da";
  };
  atm-saaldump = {
    version = "2.5.2-r8";
    filename = "atm-saaldump-2.5.2-r8.apk";
    depends = [
      "libc"
      "linux-atm"
    ];
    provides = [ "atm-saaldump-any" ];
    sha256 = "e637d929668969e5e97b91cb68cec5cc504e873efed10e9eeacdb29af36162af";
  };
  atm-sonetdiag = {
    version = "2.5.2-r8";
    filename = "atm-sonetdiag-2.5.2-r8.apk";
    depends = [
      "libc"
      "linux-atm"
    ];
    provides = [ "atm-sonetdiag-any" ];
    sha256 = "afd99643e7caa95638e638acca7c387a04887d9b2751da7df7d90c2db7d3f076";
  };
  atm-svc_recv = {
    version = "2.5.2-r8";
    filename = "atm-svc_recv-2.5.2-r8.apk";
    depends = [
      "libc"
      "linux-atm"
    ];
    provides = [ "atm-svc_recv-any" ];
    sha256 = "28efce9a5d690055bda8c96fc8ad0efcf1601aed52dd2cbd259c4c828d1726d1";
  };
  atm-svc_send = {
    version = "2.5.2-r8";
    filename = "atm-svc_send-2.5.2-r8.apk";
    depends = [
      "libc"
      "linux-atm"
    ];
    provides = [ "atm-svc_send-any" ];
    sha256 = "2dd7f29d59c3a3f09d5f8687ec7d4f6d0625ee532059b000322d121f0f732d97";
  };
  atm-tools = {
    version = "2.5.2-r8";
    filename = "atm-tools-2.5.2-r8.apk";
    depends = [
      "libc"
      "linux-atm"
    ];
    provides = [ "atm-tools-any" ];
    sha256 = "5ffd59955949e20581b4fc157a7a161bebc58976412afee20ed1b12512d5ba69";
  };
  atm-ttcp_atm = {
    version = "2.5.2-r8";
    filename = "atm-ttcp_atm-2.5.2-r8.apk";
    depends = [
      "libc"
      "linux-atm"
    ];
    provides = [ "atm-ttcp_atm-any" ];
    sha256 = "77c3f814be2f27887ae2cbbc51114d83d483012009e471ccad0b9eb209c0b7e1";
  };
  atm-zeppelin = {
    version = "2.5.2-r8";
    filename = "atm-zeppelin-2.5.2-r8.apk";
    depends = [
      "libc"
      "linux-atm"
    ];
    provides = [ "atm-zeppelin-any" ];
    sha256 = "951ce6fb0c3f51480e481fefb73855daa98f65b2fe62fdfb11af6261456d9b49";
  };
  base-files = {
    version = "1706~3d902d07a9";
    filename = "base-files-1706~3d902d07a9.apk";
    depends = [
      "busybox"
      "fstools"
      "fwtool"
      "jsonfilter"
      "libc"
      "netifd"
      "openwrt-keyring"
      "procd"
      "procd-seccomp"
      "ucode"
      "ucode-mod-digest"
      "ucode-mod-fs"
      "usign"
    ];
    provides = [ "base-files-any" ];
    sha256 = "5387167190ab1de6ab1c1b19d2f77802c16ddf8821c86bc7eb93ab57c345b3c0";
  };
  block-mount = {
    version = "2026.07.25~2aa16407-r1";
    filename = "block-mount-2026.07.25~2aa16407-r1.apk";
    depends = [
      "libblobmsg-json20260721"
      "libc"
      "libjson-c5"
      "libubox20260721"
      "libuci20250120"
      "ubox"
    ];
    provides = [ "block-mount-any" ];
    sha256 = "0f2ab85fd481d3e9038e9507a64f8d94f6859905ad6c75c84a17831cc2024150";
  };
  blockd = {
    version = "2026.07.25~2aa16407-r1";
    filename = "blockd-2026.07.25~2aa16407-r1.apk";
    depends = [
      "block-mount"
      "fstools"
      "kmod-fs-autofs4"
      "libblobmsg-json20260721"
      "libc"
      "libjson-c5"
      "libubus20260628"
    ];
    provides = [ "blockd-any" ];
    sha256 = "c517e85010e4902ffcfe8d138ae529bf3ae98c2b70639a7871d11327b2dd6296";
  };
  br2684ctl = {
    version = "2.5.2-r8";
    filename = "br2684ctl-2.5.2-r8.apk";
    depends = [
      "libc"
      "linux-atm"
    ];
    provides = [ "br2684ctl-any" ];
    sha256 = "ff3df29e8a9ef692605b2513edac407916651df9fde428980840ee025c02823e";
  };
  comgt = {
    version = "0.32-r36";
    filename = "comgt-0.32-r36.apk";
    depends = [
      "chat"
      "libc"
    ];
    provides = [ "comgt-any" ];
    sha256 = "696fa7a45de5b0614233913fd137cd7d8de4d30c439dba0bf786c5b0877ef7be";
  };
  dropbear = {
    version = "2026.94-r1";
    filename = "dropbear-2026.94-r1.apk";
    depends = [ "libc" ];
    provides = [ "dropbear-any" ];
    sha256 = "061c58d953a951737824d4a917744cf394858e0ea8c33f49e61a9fe772bd0f7a";
  };
  dropbearconvert = {
    version = "2026.94-r1";
    filename = "dropbearconvert-2026.94-r1.apk";
    depends = [ "libc" ];
    provides = [ "dropbearconvert-any" ];
    sha256 = "6564d6e994c64b421ef13cdfe056f32b2b8fd144de11b7faaf984f3c1b17b3a9";
  };
  ebtables-nft = {
    version = "1.8.10-r3";
    filename = "ebtables-nft-1.8.10-r3.apk";
    depends = [
      "kmod-ebtables"
      "kmod-nft-bridge"
      "libc"
      "xtables-nft"
    ];
    provides = [
      "ebtables"
      "ebtables-nft-any"
    ];
    sha256 = "09ab0b0da768baaf00d082bfc37f24121dbc98e10fdce1e72f8af5e838695b54";
  };
  fstools = {
    version = "2026.07.25~2aa16407-r1";
    filename = "fstools-2026.07.25~2aa16407-r1.apk";
    depends = [
      "libc"
      "ubox"
    ];
    provides = [ "fstools-any" ];
    sha256 = "895d57e41fa5b736726e285be947a8594e37a2cea15a78c35d1fb65f883a1e6b";
  };
  fwtool = {
    version = "2025.10.03~04cd252e-r1";
    filename = "fwtool-2025.10.03~04cd252e-r1.apk";
    depends = [ "libc" ];
    provides = [ "fwtool-any" ];
    sha256 = "5ca60057929afbac997feea8800c0c395c07ae3d2649aa0a5d103f1e33b47d65";
  };
  ip6tables-extra = {
    version = "1.8.10-r3";
    filename = "ip6tables-extra-1.8.10-r3.apk";
    depends = [
      "kmod-ip6tables-extra"
      "libc"
      "libxtables12"
    ];
    provides = [ "ip6tables-extra-any" ];
    sha256 = "be7ffa2525598e442ee9a902bb8414495608cbb7ff92e13a85c07146e440f23b";
  };
  ip6tables-mod-nat = {
    version = "1.8.10-r3";
    filename = "ip6tables-mod-nat-1.8.10-r3.apk";
    depends = [
      "kmod-ipt-nat6"
      "libc"
      "libxtables12"
    ];
    provides = [ "ip6tables-mod-nat-any" ];
    sha256 = "4df948d3bdebe3e96e28516c56bd8947231354450e3899840b6aa4ea150951fb";
  };
  ip6tables-nft = {
    version = "1.8.10-r3";
    filename = "ip6tables-nft-1.8.10-r3.apk";
    depends = [
      "kmod-ip6tables"
      "libc"
      "xtables-nft"
    ];
    provides = [
      "ip6tables"
      "ip6tables-nft-any"
    ];
    sha256 = "d4081ba1557535e944b0ec16774b679ee92ef2439d3f517d01168b84661213cc";
  };
  ip6tables-zz-legacy = {
    version = "1.8.10-r3";
    filename = "ip6tables-zz-legacy-1.8.10-r3.apk";
    depends = [
      "kmod-ip6tables"
      "libc"
      "xtables-legacy"
    ];
    provides = [
      "ip6tables"
      "ip6tables-legacy"
      "ip6tables-zz-legacy-any"
    ];
    sha256 = "5652abb207ef190f30b891fb5f945c16e193f29cdd57e4abe303964eb6396e2e";
  };
  iptables-mod-checksum = {
    version = "1.8.10-r3";
    filename = "iptables-mod-checksum-1.8.10-r3.apk";
    depends = [
      "kmod-ipt-checksum"
      "libc"
      "libxtables12"
    ];
    provides = [ "iptables-mod-checksum-any" ];
    sha256 = "0a3271de3383674c4e193765e5741716c9d6310f08b3f2e9e78e4e40b0b4ad21";
  };
  iptables-mod-cluster = {
    version = "1.8.10-r3";
    filename = "iptables-mod-cluster-1.8.10-r3.apk";
    depends = [
      "kmod-ipt-cluster"
      "libc"
      "libxtables12"
    ];
    provides = [ "iptables-mod-cluster-any" ];
    sha256 = "8b6162de80414d3fcf790912d6c692b60d9023b3b2a84f829433a4c603660e39";
  };
  iptables-mod-conntrack-extra = {
    version = "1.8.10-r3";
    filename = "iptables-mod-conntrack-extra-1.8.10-r3.apk";
    depends = [
      "kmod-ipt-conntrack-extra"
      "libc"
      "libxtables12"
    ];
    provides = [ "iptables-mod-conntrack-extra-any" ];
    sha256 = "f11b171e3f61dafd0b43e173dd0fedda2c28775408465fea1128333060a7d59a";
  };
  iptables-mod-extra = {
    version = "1.8.10-r3";
    filename = "iptables-mod-extra-1.8.10-r3.apk";
    depends = [
      "kmod-ipt-extra"
      "libc"
      "libxtables12"
    ];
    provides = [ "iptables-mod-extra-any" ];
    sha256 = "26c866ebe66e7f2343ae39cc97ab6e2e4623a2632033de78008d6278bf1b5fea";
  };
  iptables-mod-filter = {
    version = "1.8.10-r3";
    filename = "iptables-mod-filter-1.8.10-r3.apk";
    depends = [
      "kmod-ipt-filter"
      "libc"
      "libxtables12"
    ];
    provides = [ "iptables-mod-filter-any" ];
    sha256 = "125fffc45e8aa17a92bfcdb81dee44eab58a3da04d2cbb298a4648ac11f69b8a";
  };
  iptables-mod-hashlimit = {
    version = "1.8.10-r3";
    filename = "iptables-mod-hashlimit-1.8.10-r3.apk";
    depends = [
      "kmod-ipt-hashlimit"
      "libc"
      "libxtables12"
    ];
    provides = [ "iptables-mod-hashlimit-any" ];
    sha256 = "d6166ed2b1060b5b782e1cde84d8197aa1c5caae762f19f222a6488ddf0476e8";
  };
  iptables-mod-ipopt = {
    version = "1.8.10-r3";
    filename = "iptables-mod-ipopt-1.8.10-r3.apk";
    depends = [
      "kmod-ipt-ipopt"
      "libc"
      "libxtables12"
    ];
    provides = [ "iptables-mod-ipopt-any" ];
    sha256 = "d349c4bbe63c473fb0742026da88785b849a4f9cf3a69f0cf6ac45e9ff6480db";
  };
  iptables-mod-iprange = {
    version = "1.8.10-r3";
    filename = "iptables-mod-iprange-1.8.10-r3.apk";
    depends = [
      "kmod-ipt-iprange"
      "libc"
      "libxtables12"
    ];
    provides = [ "iptables-mod-iprange-any" ];
    sha256 = "eadd96b9aa79bdba2155874a1bc1f58730db795a210014b8dd0b82509d92b72f";
  };
  iptables-mod-ipsec = {
    version = "1.8.10-r3";
    filename = "iptables-mod-ipsec-1.8.10-r3.apk";
    depends = [
      "kmod-ipt-ipsec"
      "libc"
      "libxtables12"
    ];
    provides = [ "iptables-mod-ipsec-any" ];
    sha256 = "bdb5f21c501ee749ee262c9511c9bf636e508ea465ae5cb1934d4438b77d796d";
  };
  iptables-mod-led = {
    version = "1.8.10-r3";
    filename = "iptables-mod-led-1.8.10-r3.apk";
    depends = [
      "kmod-ipt-led"
      "libc"
      "libxtables12"
    ];
    provides = [ "iptables-mod-led-any" ];
    sha256 = "5ee5569de17bd4fbfd61e367125ad949328ec086e680c6a297c8e474f46b57b5";
  };
  iptables-mod-nat-extra = {
    version = "1.8.10-r3";
    filename = "iptables-mod-nat-extra-1.8.10-r3.apk";
    depends = [
      "kmod-ipt-nat-extra"
      "libc"
      "libxtables12"
    ];
    provides = [ "iptables-mod-nat-extra-any" ];
    sha256 = "c5f6f20fb092d00fc4a52ec251b644834fee50869c1920cde56404425e5dde54";
  };
  iptables-mod-nflog = {
    version = "1.8.10-r3";
    filename = "iptables-mod-nflog-1.8.10-r3.apk";
    depends = [
      "kmod-ipt-nflog"
      "kmod-nfnetlink-log"
      "libc"
      "libxtables12"
    ];
    provides = [ "iptables-mod-nflog-any" ];
    sha256 = "78d6b6f1da2da38918cf3f3dd4ad830789a25ffd37950158af76c314b8984f76";
  };
  iptables-mod-nfqueue = {
    version = "1.8.10-r3";
    filename = "iptables-mod-nfqueue-1.8.10-r3.apk";
    depends = [
      "kmod-ipt-nfqueue"
      "kmod-nfnetlink-queue"
      "libc"
      "libxtables12"
    ];
    provides = [ "iptables-mod-nfqueue-any" ];
    sha256 = "d57d290d263053bbdf61530e34aa3bab4f27261f3c66c91d0a92928055754626";
  };
  iptables-mod-physdev = {
    version = "1.8.10-r3";
    filename = "iptables-mod-physdev-1.8.10-r3.apk";
    depends = [
      "kmod-ipt-physdev"
      "libc"
      "libxtables12"
    ];
    provides = [ "iptables-mod-physdev-any" ];
    sha256 = "1d30802cb96a81845d3a9e299d1f953d4794bd72b3ccbbc424abb1e0bfec347e";
  };
  iptables-mod-rpfilter = {
    version = "1.8.10-r3";
    filename = "iptables-mod-rpfilter-1.8.10-r3.apk";
    depends = [
      "kmod-ipt-rpfilter"
      "libc"
      "libxtables12"
    ];
    provides = [ "iptables-mod-rpfilter-any" ];
    sha256 = "57bc87d86a47bfaa993239acb96ff93e84484e955385c616060ca19cdf73b983";
  };
  iptables-mod-socket = {
    version = "1.8.10-r3";
    filename = "iptables-mod-socket-1.8.10-r3.apk";
    depends = [
      "kmod-ipt-socket"
      "libc"
      "libxtables12"
    ];
    provides = [ "iptables-mod-socket-any" ];
    sha256 = "b0114e13581b6ce250b164d2daa1c796343f75f361d73c038c568411a30d6588";
  };
  iptables-mod-tee = {
    version = "1.8.10-r3";
    filename = "iptables-mod-tee-1.8.10-r3.apk";
    depends = [
      "kmod-ipt-tee"
      "libc"
      "libxtables12"
    ];
    provides = [ "iptables-mod-tee-any" ];
    sha256 = "e395be97052a9ac23def6a5964f6750e473fe7c99c454eba2451ad084e14d27d";
  };
  iptables-mod-tproxy = {
    version = "1.8.10-r3";
    filename = "iptables-mod-tproxy-1.8.10-r3.apk";
    depends = [
      "kmod-ipt-tproxy"
      "libc"
      "libxtables12"
    ];
    provides = [ "iptables-mod-tproxy-any" ];
    sha256 = "e0327a2eadaa61f20c582c41861d0f619a5b45055ac78af8f60e9ed7219db0a3";
  };
  iptables-mod-trace = {
    version = "1.8.10-r3";
    filename = "iptables-mod-trace-1.8.10-r3.apk";
    depends = [
      "kmod-ipt-debug"
      "libc"
      "libxtables12"
    ];
    provides = [ "iptables-mod-trace-any" ];
    sha256 = "1a4d6aaa2f9dcd5e285e52ab94a4047b03de3d872a30a5dbb5230d7f524f64e2";
  };
  iptables-mod-u32 = {
    version = "1.8.10-r3";
    filename = "iptables-mod-u32-1.8.10-r3.apk";
    depends = [
      "kmod-ipt-u32"
      "libc"
      "libxtables12"
    ];
    provides = [ "iptables-mod-u32-any" ];
    sha256 = "944c0b99f261f5c90d03fc9a32bfa656670921b791818ebb7a42df22a43a97f6";
  };
  iptables-nft = {
    version = "1.8.10-r3";
    filename = "iptables-nft-1.8.10-r3.apk";
    depends = [
      "kmod-ipt-core"
      "libc"
      "xtables-nft"
    ];
    provides = [
      "iptables"
      "iptables-nft-any"
    ];
    sha256 = "719c2ad64a1d3732e264d095f1ae9c5f844ae07d1c738f6baa3f4f3f9558d2c3";
  };
  iptables-zz-legacy = {
    version = "1.8.10-r3";
    filename = "iptables-zz-legacy-1.8.10-r3.apk";
    depends = [
      "libc"
      "xtables-legacy"
    ];
    provides = [
      "iptables"
      "iptables-legacy"
      "iptables-zz-legacy-any"
    ];
    sha256 = "ce2c91f45811036411f58e43615caf8802c9ed3d442814d592adc781bbd63aa5";
  };
  jool-tools-netfilter = {
    version = "4.1.15-r1";
    filename = "jool-tools-netfilter-4.1.15-r1.apk";
    depends = [
      "ethtool"
      "kmod-jool-netfilter"
      "libc"
      "libnl-genl200"
      "libnl200"
    ];
    provides = [ "jool-tools-netfilter-any" ];
    sha256 = "20434eec20fc5536ac3a3b7bd5ca50dc9a0d7e7463a24554d341ee6e7c070113";
  };
  kernel = {
    version = "6.18.44~212c46a4916d07d3327429c92631ba1e-r1";
    filename = "kernel-6.18.44~212c46a4916d07d3327429c92631ba1e-r1.apk";
    depends = [ "libc" ];
    provides = [ "kernel-any" ];
    sha256 = "570f5fe91c0dc512e99b8db6ff62462f1a071041a34d4a33f44bc7c48f4cc028";
  };
  libatomic1 = {
    version = "14.4.0-r5";
    filename = "libatomic1-14.4.0-r5.apk";
    depends = [ "libgcc1" ];
    provides = [
      "libatomic"
      "libatomic-any"
    ];
    sha256 = "72ec648d4da23218143e5145364e63f92f112024c44125c4fefbc9efb21a1b16";
  };
  libc = {
    version = "1.2.6-r5";
    filename = "libc-1.2.6-r5.apk";
    depends = [ "libgcc1" ];
    provides = [ "libc-any" ];
    sha256 = "5a07f8fc8f824bdc5c2b4ec85e7c2dd7695384938c048986cbb71f0be4cd3068";
  };
  libgcc1 = {
    version = "14.4.0-r5";
    filename = "libgcc1-14.4.0-r5.apk";
    provides = [
      "libgcc"
      "libgcc-any"
    ];
    sha256 = "00641323651bd5762dc53dcabcf877ecea5305df3cf086433ffc4310214fb8da";
  };
  libip4tc2 = {
    version = "1.8.10-r3";
    filename = "libip4tc2-1.8.10-r3.apk";
    depends = [ "libc" ];
    provides = [
      "libip4tc"
      "libip4tc-any"
    ];
    sha256 = "b13f5ca132d8aef252cf6a697391de2cf9f8e6db59f4ca4e1d4a892fb383e762";
  };
  libip6tc2 = {
    version = "1.8.10-r3";
    filename = "libip6tc2-1.8.10-r3.apk";
    depends = [ "libc" ];
    provides = [
      "libip6tc"
      "libip6tc-any"
    ];
    sha256 = "a007883d07c03aec9aff10b6273a19c373c616f84aceb496fa7140b801d5fb1d";
  };
  libiptext-nft0 = {
    version = "1.8.10-r3";
    filename = "libiptext-nft0-1.8.10-r3.apk";
    depends = [
      "libc"
      "libxtables12"
    ];
    provides = [
      "libiptext-nft"
      "libiptext-nft-any"
    ];
    sha256 = "6973878bf35a27828baab10d42944d922aad53eebb1ebb2b28021a420936693d";
  };
  libiptext0 = {
    version = "1.8.10-r3";
    filename = "libiptext0-1.8.10-r3.apk";
    depends = [
      "libc"
      "libxtables12"
    ];
    provides = [
      "libiptext"
      "libiptext-any"
    ];
    sha256 = "6522764ec95243a891fdc2ea8f5b1aab34003439fe33bbbd547f2295747dfb88";
  };
  libiptext6-0 = {
    version = "1.8.10-r3";
    filename = "libiptext6-0-1.8.10-r3.apk";
    depends = [
      "libc"
      "libxtables12"
    ];
    provides = [
      "libiptext6"
      "libiptext6-any"
    ];
    sha256 = "5551bffc132a340224730f85c131a874c1b4f24299c7a0e9b90eabae439afb27";
  };
  libpthread = {
    version = "1.2.6-r5";
    filename = "libpthread-1.2.6-r5.apk";
    depends = [ "libgcc1" ];
    provides = [ "libpthread-any" ];
    sha256 = "43d251b914efd46515f54caa4bfcb45d79ecdd2089a9fe5130935c15804ac60a";
  };
  librt = {
    version = "1.2.6-r5";
    filename = "librt-1.2.6-r5.apk";
    depends = [ "libpthread" ];
    provides = [ "librt-any" ];
    sha256 = "ba7f50f045c82bc7d33184258165d3e9030a1c6fce8324e3dd366357c04eb1a9";
  };
  libstdcpp6 = {
    version = "14.4.0-r5";
    filename = "libstdcpp6-14.4.0-r5.apk";
    provides = [
      "libstdcpp"
      "libstdcpp-any"
    ];
    sha256 = "2b0902c7a6eb60747a92f2c228425048ca083dbe5f93829004a01c6a53f27e14";
  };
  libxtables12 = {
    version = "1.8.10-r3";
    filename = "libxtables12-1.8.10-r3.apk";
    depends = [ "libc" ];
    provides = [
      "libxtables"
      "libxtables-any"
    ];
    sha256 = "d5ed5a057731ff908fcc292bacb4999ff633c6778f076020b7c6ed2e2dc424d6";
  };
  linux-atm = {
    version = "2.5.2-r8";
    filename = "linux-atm-2.5.2-r8.apk";
    depends = [ "libc" ];
    provides = [ "linux-atm-any" ];
    sha256 = "b8cc07c0aaeabe61662d5270f36ef31412952556a25c69dcca92cfa2440b855a";
  };
  mtd = {
    version = "28";
    filename = "mtd-28.apk";
    depends = [
      "libc"
      "libubox20260721"
    ];
    provides = [ "mtd-any" ];
    sha256 = "bdc4632571e9894e4d3e99b2987b1d57b7dd70ee711838795f01dd5186d881ac";
  };
  qosify = {
    version = "2026.06.22~beeb87ec-r1";
    filename = "qosify-2026.06.22~beeb87ec-r1.apk";
    depends = [
      "kmod-ifb"
      "kmod-sched-bpf"
      "kmod-sched-cake"
      "libbpf1"
      "libc"
      "libnl-tiny1"
      "libubox20260721"
      "libubus20260628"
      "tc"
    ];
    provides = [ "qosify-any" ];
    sha256 = "057d9d2c6a21696c982241f49ddf47b2323bf9ba9806de55d5ac1f5957dd37f2";
  };
  snapshot-tool = {
    version = "2026.07.25~2aa16407-r1";
    filename = "snapshot-tool-2026.07.25~2aa16407-r1.apk";
    depends = [
      "fstools"
      "libc"
      "libubox20260721"
    ];
    provides = [ "snapshot-tool-any" ];
    sha256 = "4312282f9f1fd57f2b0e976b53f1408f9de2352886a18801557ed880566ba5e5";
  };
  uboot-envtools = {
    version = "2026.07-r1";
    filename = "uboot-envtools-2026.07-r1.apk";
    depends = [ "libc" ];
    provides = [ "uboot-envtools-any" ];
    sha256 = "2391055aacdce1f52bf379d6f539799a30538850fc352f5cdfb5fe3d7ccd0f8e";
  };
  xtables-legacy = {
    version = "1.8.10-r3";
    filename = "xtables-legacy-1.8.10-r3.apk";
    depends = [
      "kmod-ipt-core"
      "libc"
      "libip4tc2"
      "libip6tc2"
      "libiptext0"
      "libiptext6-0"
      "libxtables12"
    ];
    provides = [ "xtables-legacy-any" ];
    sha256 = "2b7183cefc63b5738c753f791df623b870decee5e3408688f6e896d7e182035d";
  };
  xtables-nft = {
    version = "1.8.10-r3";
    filename = "xtables-nft-1.8.10-r3.apk";
    depends = [
      "kmod-nft-compat"
      "libc"
      "libiptext-nft0"
      "libiptext0"
      "libiptext6-0"
      "libnftnl11"
    ];
    provides = [ "xtables-nft-any" ];
    sha256 = "5d5cd46dcb5086a587d1492c36b1cb9789f664a6cc68907fb799d1be07052d63";
  };
}
